<template>
  <div class="app-container">
    <el-table v-loading="loading" :data="qiyejieshaoList" @selection-change="handleSelectionChange">
      <!-- <el-table-column label="id" align="center" prop="id" /> -->
      <el-table-column :label="$t('qiyejieshao.平台介绍')" align="center" prop="qiyejiesho" />
      <el-table-column :label="$t('qiyejieshao.操作')" align="center" class-name="small-padding fixed-width">
        <template slot-scope="scope">
          <el-button
            size="mini"
            type="text"
            icon="el-icon-edit"
            @click="handleUpdate(scope.row)"
            v-hasPermi="['system:qiyejieshao:edit']"
          >{{$t('qiyejieshao.修改')}}</el-button>
        </template>
      </el-table-column>
    </el-table>


    <!-- 添加或修改qiyejieshao对话框 -->
    <el-dialog :title="title" :visible.sync="open" width="600px" append-to-body>
      <el-form ref="form" :model="form" :rules="rules" label-width="80px">
        <el-form-item :label="$t('qiyejieshao.平台介绍')">
          <editor v-model="form.qiyejiesho" :min-height="192"/>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button type="primary" @click="submitForm">{{$t('qiyejieshao.确定')}}</el-button>
        <el-button @click="cancel">{{$t('qiyejieshao.取消')}}</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import { listQiyejieshao, getQiyejieshao, delQiyejieshao, addQiyejieshao, updateQiyejieshao } from "@/api/system/qiyejieshao";

export default {
  name: "Qiyejieshao",
  data() {
    return {
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // qiyejieshao表格数据
      qiyejieshaoList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        qiyejiesho: null
      },
      // 表单参数
      form: {},
      // 表单校验
      rules: {
        qiyejiesho: [
          { required: true, message: this.$t('qiyejieshao.平台介绍不能为空'), trigger: "blur" }
        ]
      }
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询qiyejieshao列表 */
    getList() {
      this.loading = true;
      listQiyejieshao(this.queryParams).then(response => {
        this.qiyejieshaoList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.open = false;
      this.reset();
    },
    // 表单重置
    reset() {
      this.form = {
        id: null,
        qiyejiesho: null
      };
      this.resetForm("form");
    },
    /** 搜索按钮操作 */
    handleQuery() {
      this.queryParams.pageNum = 1;
      this.getList();
    },
    /** 重置按钮操作 */
    resetQuery() {
      this.resetForm("queryForm");
      this.handleQuery();
    },
    // 多选框选中数据
    handleSelectionChange(selection) {
      this.ids = selection.map(item => item.id)
      this.single = selection.length!==1
      this.multiple = !selection.length
    },
    /** 新增按钮操作 */
    handleAdd() {
      this.reset();
      this.open = true;
      this.title = "添加平台介绍";
    },
    /** 修改按钮操作 */
    handleUpdate(row) {
      this.reset();
      const id = row.id || this.ids
      getQiyejieshao(id).then(response => {
        this.form = response.data;
        this.open = true;
        this.title = this.$t('qiyejieshao.修改平台介绍');
      });
    },
    /** 提交按钮 */
    submitForm() {
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.form.id != null) {
            updateQiyejieshao(this.form).then(response => {
              this.$modal.msgSuccess(this.$t('qiyejieshao.修改成功'));
              this.open = false;
              this.getList();
            });
          } else {
            addQiyejieshao(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
          }
        }
      });
    },
    /** 删除按钮操作 */
    handleDelete(row) {
      const ids = row.id || this.ids;
      this.$modal.confirm('是否确认删除qiyejieshao编号为"' + ids + '"的数据项？').then(function() {
        return delQiyejieshao(ids);
      }).then(() => {
        this.getList();
        this.$modal.msgSuccess("删除成功");
      }).catch(() => {});
    },
    /** 导出按钮操作 */
    handleExport() {
      this.download('system/qiyejieshao/export', {
        ...this.queryParams
      }, `qiyejieshao_${new Date().getTime()}.xlsx`)
    }
  }
};
</script>
